jif.types

## Class CallerConstraint_c

- java.lang.Object
- - polyglot.types.TypeObject_c
  - - jif.types.CallerConstraint_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Assertion, CallerConstraint, polyglot.types.TypeObject, polyglot.util.Copy<polyglot.types.TypeObject>

      public class CallerConstraint_c
      extends polyglot.types.TypeObject_c
      implements CallerConstraint

  An implementation of the `CallerConstraint` interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<Principal>` | `principals`

    - ### Fields inherited from class polyglot.types.TypeObject_c

      `position, ts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallerConstraint_c(JifTypeSystem ts, polyglot.util.Position pos, java.util.List<Principal> principals)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCanonical()`
    `java.util.List<Principal>` | `principals()`
    `CallerConstraint` | `principals(java.util.List<Principal> principals)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class polyglot.types.TypeObject_c

      `copy, equals, equalsImpl, hashCode, position, typeSystem`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, position, typeSystem`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Field Detail

    - #### principals

          protected java.util.List<Principal> principals

  - ### Constructor Detail

    - #### CallerConstraint_c

          public CallerConstraint_c(JifTypeSystem ts,
                                    polyglot.util.Position pos,
                                    java.util.List<Principal> principals)

  - ### Method Detail

    - #### principals

          public CallerConstraint principals(java.util.List<Principal> principals)

      Specified by:
        `principals` in interface `CallerConstraint`

    - #### principals

          public java.util.List<Principal> principals()

      Specified by:
        `principals` in interface `CallerConstraint`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isCanonical

          public boolean isCanonical()

      Specified by:
        `isCanonical` in interface `polyglot.types.TypeObject`